Modify

Opened 10 years ago

Closed 10 years ago

#1831 closed defect (fixed)

GraphViz doesn't work with Trac 0.10?

Reported by: jspencer@… Owned by: Peter Kropf
Priority: normal Component: GraphvizPlugin
Severity: normal Keywords:
Cc: Trac Release: 0.10

Description

Hi

I installed Graphviz on my Trac 0.10 installation. I know it's only listed as supporting version 0.9 but I thought I'd try anyway. The main bug I get is

Error: Failed to load processor graphviz

No macro or processor named 'graphviz' found

even though the plugin is installed and active.

Does anyone else have this plugin working in version 0.10? Is there a 0.10 release expected?

Attachments (0)

Change History (2)

comment:1 Changed 10 years ago by anonymous

It will work with 0.10: I have it running with Trac 0.10.3 and installed today.

(follow the instructions on the plug-in page)

  1. Download latest from svn repository
  2. Build the plugin with: setup.py develop
  3. Configure the plug-in: add [graphviz] section to config.ini
  4. Add graphviz.graphviz.graphvizmacro = enabled to [components] in config.ini
  5. Restart apache server

try a test on page.

comment:2 Changed 10 years ago by jspencer@…

Resolution: fixed
Status: newclosed

The weirdest thing, I'd followed all these steps and it was failing. I came back to it and now it works. The only thing I've done in between is to upgraded to trac 0.10.4

Seeing how it now works for me, I'll close the ticket.

Modify Ticket

Action
as closed The owner will remain Peter Kropf.
The resolution will be deleted. Next status will be 'reopened'.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.